# class SS7TCAPITU | ITU-T SS7 TCAP implementation. More...
Full name | `TelEngine::SS7TCAPITU`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SS7TCAP [virtual public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum TCAPTags { OriginatingIDTag = 0x48, DestinationIDTag = 0x49, PCauseTag = 0x4a, }
- enum TCAPDialogTags { DialogPortionTag = 0x6b, ProtocolVersionTag = 0x80, ApplicationContextTag = 0xa1, UserInformationTag = 0xbe, }
- enum UserInfoTags { DirectReferenceTag = 0x06, DataDescriptorTag = 0x07, ExternalTag = 0x28, SingleASNTypePEncTag = 0x80, SingleASNTypeCEncTag = 0xa0, OctetAlignEncTag = 0x81, ArbitraryEncTag = 0x82, }
- enum TCAPComponentTags { ComponentPortionTag = 0x6c, LocalTag = 0x02, LinkedIDTag = 0x80, GlobalTag = 0x06, ParameterSeqTag = 0x30, ParameterSetTag = 0x31, }

#### Public Methods

- SS7TCAPITU (const NamedList& params)
- ~SS7TCAPITU ()
- virtual SS7TCAPTransaction* buildTransaction (SS7TCAP::TCAPUserTransActions type, const String& transactID, NamedList& params, bool initLocal = true)

## Detailed Description

Implementation of SS7 Transactional Capabilities Application Part - specification ITU-T

enum TCAPTags { OriginatingIDTag = 0x48, DestinationIDTag = 0x49, PCauseTag = 0x4a, } | ### TCAPTags

enum TCAPDialogTags { DialogPortionTag = 0x6b, ProtocolVersionTag = 0x80, ApplicationContextTag = 0xa1, UserInformationTag = 0xbe, } | ### TCAPDialogTags

enum UserInfoTags { DirectReferenceTag = 0x06, DataDescriptorTag = 0x07, ExternalTag = 0x28, SingleASNTypePEncTag = 0x80, SingleASNTypeCEncTag = 0xa0, OctetAlignEncTag = 0x81, ArbitraryEncTag = 0x82, } | ### UserInfoTags

enum TCAPComponentTags { ComponentPortionTag = 0x6c, LocalTag = 0x02, LinkedIDTag = 0x80, GlobalTag = 0x06, ParameterSeqTag = 0x30, ParameterSetTag = 0x31, } | ### TCAPComponentTags

SS7TCAPITU (const NamedList& params) | ### SS7TCAPITU

Constructor

Parameters:

params | Parameters to build ITU TCAP

~SS7TCAPITU () | ### ~SS7TCAPITU

Destructor

SS7TCAPTransaction* buildTransaction (SS7TCAP::TCAPUserTransActions type, const String& transactID, NamedList& params, bool initLocal = true) | ### buildTransaction

[virtual]

Build a transaction

Parameters:

type | Type with which to build the transactions
transactID | ID for the transaction
params | Parameters for building the transaction
initLocal | True if built by user, false if by remote end

Returns: A transaction

Reimplemented from SS7TCAP.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.